<div class="page page-fluid page-admin-page-update">
	<h1>Modifier une page</h1>

	<?php if (isset ($this->ok)) { ?>
		<div class="alert alert-ok"><?php echo $this->ok; ?></div>
	<?php } ?>

	<?php if (isset ($this->error)) { ?>
		<div class="alert alert-error"><?php echo $this->error; ?></div>
	<?php } ?>

	<form method="post" action="">
		<div class="form-group">
			<label for="title">Titre</label>
			<input type="text" name="title" id="title" value="<?php echo $this->page->title (); ?>" />
		</div>

		<div class="form-group">
			<label for="alias">Alias</label>
			<input type="text" name="alias" id="alias" value="<?php echo $this->page->alias (); ?>" />
		</div>

		<?php $loc = $this->page->location (); ?>
		<?php if($loc != Page::POS_ACCUEIL) { ?>
			<div class="form-group">
				<label for="location">Emplacement</label>
				<select name="location" id="location">
					<option
						<?php if ($loc == Page::POS_HEADER) echo 'selected="selected"';?>
						value="<?php echo Page::POS_HEADER;?>">Header</option>
					<option 
						<?php if ($loc == Page::POS_MENU) echo 'selected="selected"';?>
						value="<?php echo Page::POS_MENU;?>">Menu</option>
					<option 
						<?php if ($loc == Page::POS_FOOTER) echo 'selected="selected"';?>
						value="<?php echo Page::POS_FOOTER;?>">Footer</option>
				</select>
			</div>
		<?php } else { ?>
		<div class="form-group">
			<label for="location_disabled">Emplacement</label>
			<input type="text" name="location_disabled" id="location_disabled" disabled value="Accueil" />
		</div>

		<?php } ?>

		<div class="form-group actions">
			<button type="submit">
				Modifier
			</button>

			<a href="<?php echo Url::display (array ('c' => 'admin_page')); ?>">Retour aux pages</a>
		</div>
	</form>

	<div class="page-structure">
		<h2>Modifier le contenu de la page</h2>

		<?php foreach ($this->page->blocks() as $line_number => $line) { ?>
			<div class="page-line">
				<?php foreach ($line as $block) { ?>
					<div class="page-block">
						<?php if ($block->content() === '') { ?>
							<div class="content placeholder">
								Aucun contenu…
							</div>
						<?php } else { ?>
							<div class="content">
								<?php echo $block->mdContent(); ?>
							</div>
						<?php } ?>

						<div class="actions">
							<a href="<?= url('admin_page_block', 'update', 'id', $block->id()) ?>">
								<i class="fa fa-pencil"></i>
								Modifier
							</a>

							<a data-confirm="Êtes-vous certain·e de vouloir supprimer ce bloc ?" href="<?= url('admin_page_block', 'delete', 'id', $block->id()) ?>">
								<i class="fa fa-times"></i>
								Supprimer
							</a>
						</div>
					</div>
				<?php } ?>

				<a class="page-block page-block-add" href="<?php echo Url::display (array ('c' => 'admin_page', 'a' => 'add_block', 'params' => array ('id' => $this->page->id (), 'line' => $line_number))); ?>">
					<i class="fa fa-plus fa-2x"></i>
					Ajouter un bloc
				</a>
			</div>
		<?php } ?>

		<a class="page-line page-line-add" href="<?php echo Url::display (array ('c' => 'admin_page', 'a' => 'add_line', 'params' => array ('id' => $this->page->id ()))); ?>">
			<i class="fa fa-plus fa-2x"></i>
			Ajouter une ligne
		</a>
	</div>
</div>
